<%@ include file="../common/componentheader.jsp" %>
<%
String tooltipText = "";
String value = boundComponent.getString();
String ariaValueNow = "0";

String cssColorClass = "";
String cssStripedClass = "";
String progressBarStyle = "width: 0%;";
String progressBarContainerStyle = "";
String spanStyle = "";

if (!designmode) {
	if ("Invalid Binding".equals(value)) {
		tooltipText = value;
		spanStyle = "color: #0000FF !important;";
		progressBarContainerStyle = "border: 1px solid #FF0000;";
	} else {
		boolean striped = component.getProperty("striped").equalsIgnoreCase("true");
		cssColorClass = component.getProperty("color");
		
		if (striped) {
			cssStripedClass = "progress-bar-striped";
		}
	
		if (!value.isEmpty()) {
			ariaValueNow = value;
			value += "%";		
			tooltipText = value;
		}
			
		progressBarStyle = "width: " + ariaValueNow + "%;";
	}
}

%>

<div id="progressbar_container_<%=id%>" class="progress" style="<%=progressBarContainerStyle%>" title="<%=tooltipText%>">
	<div id="progressbar_<%=id%>" class="progress-bar <%=cssColorClass%> <%=cssStripedClass%>" role="progressbar" aria-valuenow="<%=ariaValueNow%>" aria-valuemin="0" aria-valuemax="100" style="<%=progressBarStyle%>">
		<% if (!"Invalid Binding".equals(value)) { %>
			<%=value%>
		<% } %>
	</div>
	<% if ("Invalid Binding".equals(value)) { %>
		<span style="<%=spanStyle%>">
			<%=value%>
		</span>
	<% } %>
</div>

<%@ include file="../common/componentfooter.jsp" %>